package java3d;

import java.util.Collection;
import java.util.HashSet;
import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.*;

public class Java3DTestModuleApplet extends NativeCapableApplet {
	private static final long serialVersionUID = 1L;

	public void init() {
		super.init();
		
		

		NativeCapableModuleBuilder builder = new NativeCapableModuleBuilder(
				this, "java3d.Java3DTestModule");
		Collection<String> col = new HashSet<String>();
		col.add("java.");
		col.add("sun.reflect.");
		col.add("javax.swing.");
		col.add("javax.xml.");
		col.add("org.w3c.dom.");
		col.add("sun.java2d.");
		col.add("sun.awt.");
		col.add("com.sun.org.apache.xerces.");
		builder.setTargetPackages(col);
		builder.setDelegateTargets(true);
		NativeCapableModule module = builder.newModule();
		module.initModule();
		add(module.getRootComponent());
	}
}